View Issue Details

IDProjectCategoryView StatusLast Update
0002473WishesInterfacepublic2014-06-15 12:26
Reporterfml2Assigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary0002473: Изменить заголовок окна Фар
DescriptionМотивация (см. http://forum.farmanager.com/viewtopic.php?f=4&t=8157):

Моя цель -- запустить несколько копий Фара так, чтобы каждая копия имела какой-то свой заголовок (для того, чтобы было их легче различать в панели запущенных задач). Например, "Сервер", "Логи" и т.п.

Два варианта решения:

1. Создать опцию командной строки, через которую можно было бы задать заголовок (эта опция должна переопределять то, что прописано в конфигурации Фар)

2. Добавить возможность отображать в заголовке окна переменные окружения. Тогда можно определить переменную и запустить Фар. В конфигурации интерфейса надо будет определить, что должна отображаться эта переменная.

Предложение по поводу синтаксиса в случае варианта 2 (мне он, пожалуй, нравится больше, т.к. он гибче): %Env{var_name}
TagsNo tags attached.
Build3705

Relationships

related to 0002523 closedvskirdin Far Manager Команда title не отрабатывает при погашенных панелях 

Activities

NightRoman

2013-08-26 21:05

reporter   bugnote:0011358

А почему бы не просто %var_name%? Для такого развертывания, наверное, и функции готовые уже есть. Да и просто привычно и естественно. Учитывая лаконичность текстов заголовков вряд ли будут конфликты.

fml2

2013-08-26 21:13

reporter   bugnote:0011359

Мне кажется, мое предложение более соответствует уже имеющимся тегам для заголовка (%tag). Но нужен еще параметр, поэтому "{...}".

Но мне все равно. Главное, чтобы возможность такая была, а что там конкретно надо писать, уже второстепенно.

fml2

2013-08-26 21:26

reporter   bugnote:0011360

Last edited: 2013-08-26 21:26

View 2 revisions

Кроме того, я думаю, что "мой" синтаксис будет легче разбирать ("парсить"). Представьте себе, что в строке встречается последовательность "%Admin.....". Что это такое? "%Admin"? Или переменная окружения "AdminName"? Со специальным префиксом (%Env) никаких неоднозначностей не будет, а также не надо будет при разборе заглядывать вперед.

fml2

2013-08-27 00:51

reporter   bugnote:0011362

Еще хотелось бы, чтобы можно было "выключить" текущий каталог в заголовке окна. Т.е. чтобы можно было в качестве заголовка задать просто фиксированный текст -- для того, чтобы именно он был виден на "кнопке" в панели задач. Но возможность показать в заголовке текущий каталог терять тоже не хочется.

Для этого, мне кажется, можно сделать еще один символ -- для текущего каталога. Например, %CurDir. Он должен заменяться на то же, на что заменяется $p в командной строке.

Тогда каждый мог бы задавать заголовок таким, каким он нужен: сначала текст, потом каталог или сначала каталог, потом текст или ...

NightRoman

2013-08-27 09:36

reporter   bugnote:0011363

%Admin% (предложено мной для окружения) и %Admin (внутренние переменные) - разные вещи. Для парсинга нет проблем, по-моему. Но мне тоже все равно, какой синтаксис. %var_name% просто привычнее и в Фаре в других местах поддерживается.

fml2

2013-11-25 22:19

reporter   bugnote:0011550

Last edited: 2013-11-25 22:21

View 2 revisions

Начиная с недавних сборок, Фар сам обрабатывает команду "title". Лично для меня это означает возможность достичь цели, поэтому эту хотелку можно закрыть. Спасибо!

Issue History

Date Modified Username Field Change
2013-08-26 17:48 fml2 New Issue
2013-08-26 21:05 NightRoman Note Added: 0011358
2013-08-26 21:13 fml2 Note Added: 0011359
2013-08-26 21:26 fml2 Note Added: 0011360
2013-08-26 21:26 fml2 Note Edited: 0011360 View Revisions
2013-08-27 00:51 fml2 Note Added: 0011362
2013-08-27 09:36 NightRoman Note Added: 0011363
2013-11-25 22:19 fml2 Note Added: 0011550
2013-11-25 22:21 fml2 Note Edited: 0011550 View Revisions
2013-11-26 10:37 shmuel Relationship added related to 0002523
2014-06-15 12:26 DrKnS Build => 3705
2014-06-15 12:26 DrKnS Status new => closed
2014-06-15 12:26 DrKnS Assigned To => DrKnS
2014-06-15 12:26 DrKnS Resolution open => fixed
2014-06-15 12:26 DrKnS Fixed in Version => 3.0